Mailinglist Archive: opensuse-factory (838 mails)

< Previous Next >
Re: [opensuse-factory] openSUSE won't upgrade successfully from 11.3 to 11.4
  • From: "Bernhard M. Wiedemann" <bernhardout@xxxxxxxx>
  • Date: Tue, 08 Mar 2011 21:39:44 +0100
  • Message-id: <4D769410.7020909@lsmod.de>
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Am 08.03.2011 17:14, schrieb Stephan Kulow:
Am Dienstag, 8. März 2011 schrieb Ralf Lang:
I just verified on two distinct installations that zypper dup from
11.3 to 11.4 will fail and break the package system by removing
liblzma. This might be a major pita when 11.4 is announced and the
average guy does an upgrade.

https://bugzilla.novell.com/show_bug.cgi?id=677678

OK, that bug should have a work around now. If someone could verify (anyone
still having 11.3? :) it would be fantastic.

Greetings, Stephan

zypper dup no more removes liblzma0.

only the "zypper in zypper" complains about conflicts, with option 2 of
5 being the only one not causing a bunch of more questions.
And that includes removing PackageKit and kupdateapplet which is not
really nice.

I will have to add zypper dup tests to openQA automation to counter
Murphy's law: everything that can fail, will eventually fail.

Ciao
Bernhard M.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.16 (GNU/Linux)
Comment: Using GnuPG with SUSE - http://enigmail.mozdev.org/

iEYEARECAAYFAk12lBAACgkQSTYLOx37oWQssgCfXV6OxfAr/S4WVOrkK/AZecE8
dcIAoJ5cFWebSBcdpxdPLhPcy5+JXIXJ
=6Zj5
-----END PGP SIGNATURE-----
--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-factory+help@xxxxxxxxxxxx

< Previous Next >